Download it now!
Bug 65791 - No menu entries in Cinnamon
Summary: No menu entries in Cinnamon
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
4.1.0.0.beta1
Hardware: x86-64 (AMD64) Linux (All)
: medium critical
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-15 14:09 UTC by A. Fakhouri
Modified: 2014-06-01 20:30 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description A. Fakhouri 2013-06-15 14:09:08 UTC
When installing LibreOffice 4.1.0.0beta1-1 on Mint 14 (Nadia) with Cinnamon GUI, LibreOffice isn't shown in the menu.

After installation:
Expected behavior: existing menu entries for LibreOffice in Cinnamon menu.
Actual behavior: no menu entries.
Workaround: calling /opt/libreofficedev4.1/program/soffice will run libreoffice

Affected platform: I can only confirm it on Mint 14 / Cinnamon X86_64 (and probably any Ubuntu based distro running Cinnamon).

I don't remember facing this problem on previous releases installed on Fedora/Gnome3.

P.S.: gnome integration package is installed.
Comment 1 Thomas Hackert 2013-06-20 06:57:30 UTC
Hello A. Fakhouri, *,
I have not installed Cinnamon here, so I am not able to test this with Debian Testing AMD64, sorry ... :(

Did you install the debian-menus package as well? How did you install LO? Just unpacking and doing some "dpkg -i /path/to/debs" as root? And have you tested it with a newer build of LO than 4.1.0.0.beta1?

Sorry for the inconvenience
Thomas.
Comment 2 Eltomito 2013-06-20 14:50:50 UTC
I had the same problem with LibreOffice under Xfce and I could work around it by turning off window manager compositing (meaning no nice window shadows) in the settings.
Comment 3 A. Fakhouri 2013-06-26 12:00:43 UTC
Hi Thomas,
I haven't been able to test it on a newer version.
Yes, I extracted the big archive, and installed the packages in it using dpkg -i
And yes, debian-menus package is installed.
Sorry, I don't have other Desktop Environments to confirm the issue in them.
Comment 4 A. Fakhouri 2013-06-26 12:04:24 UTC
@ Eltomito,
This sounds irrelevant.
Are the LibreOffice icons shown in the XFCE menu and they were not shown earlier?
Or do you mean something else, like the file, edit, ... etc. menu in Libre Office itself?
Comment 5 A. Fakhouri 2013-06-26 12:14:18 UTC
Where do I find the Cinnamon configuration file? (still new to Cinnamon)
Other UI/DE or distro: I haven't tried any.
I might install lxde just to find out though. :)
Comment 6 Thomas Hackert 2013-07-02 17:50:45 UTC
Hello A. Fakhouri, *,
(In reply to comment #5)
> Where do I find the Cinnamon configuration file? (still new to Cinnamon)

I'm not using Cinnamon, but as far I have seen on cinnamon.linuxmint.org, it is GNOME based ... ;) So I would suppose, either below ~/.config or something like ~/.gnome(2 or 3?) ... ;)

> Other UI/DE or distro: I haven't tried any.
> I might install lxde just to find out though. :)

That would be nice :)
TIA
Thomas.
Comment 7 Jean-Baptiste Faure 2013-08-15 15:53:37 UTC
Hi A. Fakhouri,

LO 4.1.0 has been released; do you still encounter the same problem with LO 4.1.0.4?

Best regards. JBF
Comment 8 QA Administrators 2014-05-17 00:34:35 UTC
Dear Bug Submitter,

Please read the entire message before proceeding.

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 9 QA Administrators 2014-06-01 20:30:32 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO